CVE Vulnerabilities

CVE-2001-1130

Published: Aug 02, 2001 | Modified: Oct 10, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
7.5 HIGH
AV:N/AC:L/Au:N/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

Sdbsearch.cgi in SuSE Linux 6.0-7.2 could allow remote attackers to execute arbitrary commands by uploading a keylist.txt file that contains filenames with shell metacharacters, then causing the file to be searched using a .. in the HTTP referer (from the HTTP_REFERER variable) to point to the directory that contains the keylist.txt file.

Affected Software

Name Vendor Start Version End Version
Suse_linux Suse 6.0 6.0
Suse_linux Suse 6.3 6.3
Suse_linux Suse 6.4 6.4
Suse_linux Suse 7.0 7.0
Suse_linux Suse 7.1 7.1
Suse_linux Suse 7.2 7.2

References